package com.me.brickbuster.entity;

import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Vector2;
import com.me.brickbuster.state.PlayState;

public abstract class Entity {

	protected PlayState state;
	protected Vector2 pos;

	public Entity(PlayState state, float x, float y) {
		this.state = state;
		this.pos = new Vector2(x, y);
	}

	public abstract void render(ShapeRenderer sr);

	public abstract void update(float dt);

	public Vector2 getPos() {
		return pos;
	}

	public void setPos(Vector2 pos) {
		this.pos = pos;
	}

	public float getX() {
		return pos.x;
	}

	public void setX(float x) {
		pos.x = x;
	}

	public float getY() {
		return pos.y;
	}

	public void setY(float y) {
		pos.y = y;
	}

}
